Summary:	X-Resource extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia X-Resource
Name:		xorg-lib-libXres
Version:	1.2.1
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.bz2
# Source0-md5:	e142ef0ed0366ae89c771c27cfc2ccd1
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-resourceproto-devel >= 1.2.0
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXres
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X-Resource extension client library. This extension gives information
about X resources usage.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia X-Resource, służącego do uzyskiwania
informacji o wykorzystaniu zasobów X.

%package devel
Summary:	Header files for libXres library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXres
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-resourceproto-devel >= 1.2.0
Requires:	xorg-proto-xextproto-devel
Obsoletes:	libXres-devel

%description devel
X-Resource extension client library.

This package contains the header files needed to develop programs that
use libXres.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia X-Resource.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXres.

%package static
Summary:	Static libXres library
Summary(pl.UTF-8):	Biblioteka statyczna libXres
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXres-static

%description static
X-Resource extension client library.

This package contains the static libXres library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia X-Resource.

Pakiet zawiera statyczną bibliotekę libXres.

%prep
%setup -q -n libXres-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXRes.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXRes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXRes.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXRes.so
%{_includedir}/X11/extensions/XRes.h
%{_pkgconfigdir}/xres.pc
%{_mandir}/man3/XRes*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXRes.a
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXres.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 4a431b3
- rebuild with separate debuginfo build-ids

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> f52959a
- updated to 1.2.1

* Tue Nov 28 2017 Jakub Bogusz <qboosh@pld-linux.org> f97ef2c
- updated dependencies

* Thu Oct 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0280ba6
- up to 1.2.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1d153e2
- x32 rebuild
- release 2 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 2a481b8
- fix files

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 50075e8
- unified .so man links fix wrt "x" suffix

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d27f22
- up to 1.0.7; fixes CVE-2013-1988

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 57c89c1
- updated to 1.0.6

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 61d6177
- removed unused *.la files

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 36911dc
- updated to 1.0.5

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> e60d839
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> beea411
- updated util-macros version
- ghost soname symlink
- added README to doc, more verbose files and descs

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 33adb34
- up to 1.0.4

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1787d1a
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f24bdd5
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ac5b310
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c82e4c
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b394cf
- up to 1.0.3

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> ef66ac9
- rebuild

